---
title: MediaPositionState.playbackRate
slug: Web/API/MediaPositionState/playbackRate
tags:
  - API
  - Audio
  - Media
  - Media Session
  - Media Session API
  - MediaPositionState
  - MediaSession API
  - Playback
  - Property
  - Reference
  - Video
  - direction
  - playbackRate
  - rate
  - speed
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The {{domxref("MediaPositionState")}} dictionary's <code><strong>playbackRate</strong></code> property is used when calling the {{domxref("MediaSession")}} method {{domxref("MediaSession.setPositionState", "setPositionState()")}} to tell the {{Glossary("user agent")}} the rate at which media is currently being played.</span> This information can then, in turn, be used by the user agent to provide a user interface which displays media playback information to the viewer.</p>

<p>For example, a browser might use this information along with the {{domxref("MediaPositionState.position", "position")}} property and the {{domxref("MediaSession.playbackState", "navigator.mediaSession.playbackState")}}, as well as the session's {{domxref("MediaSession.metadata", "metadata")}} to provide an integrated common user interface showing the currently playing media as well as standard pause, play, forward, reverse, and other controls.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>positionState</em> = { playbackRate: <em>rate</em> };

let <em>playbackRate</em> = <em>positionState</em>.playbackRate;
</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value specifying a multiplier corresponding to the current relative rate at which the media being performed is playing. A value of 1.0 indicates the media is playing forward at normal speed, while higher values indicate that the media is being played faster than normal. Lower values indicate the media is being played more slowly. Negative values can be specified to indicate the media is playing in reverse, with decreasing values then indicating faster and faster reverse playback.</p>

<div class="notecard note">
<p><strong>Note:</strong> A value of 0.0 is not permitted.</p>
</div>

<h2 id="Example">Example</h2>

<p>In this example, an app is updating the browser to let it know that the user has clicked a button causing the playback to shift to a double-speed mode. It begins by creating a {{domxref("MediaPositionState")}} object, then submits it to the browser it by calling {{domxref("MediaSession.setPositionState", "navigator.mediaSession.setPositionState()")}}.</p>

<pre class="brush: js">let positionState = {
  duration: myMediaDuration;
  playbackRate: 2.0;
  position: myMediaPosition;
};

navigator.mediaSession.setPositionState(positionState);
</pre>

<p>Note the value 2.0 as the <code>playbackRate</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Session','#dom-mediapositionstate-playbackrate','MediaPositionState.playbackRate')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.MediaPositionState.playbackRate")}}</p>
